# binaryninja.binaryview.AnalysisCompletionEvent

class `binaryninja.binaryview.``AnalysisCompletionEvent`(view, callback)

  The `AnalysisCompletionEvent` object provides an asynchronous mechanism for receiving callbacks when analysis is complete. The callback runs once. A completion event must be added for each new analysis in order to be notified of each analysis completion. The AnalysisCompletionEvent class takes responcibility for keeping track of the object’s lifetime.

  Example:

      >>> def on_complete(self):
      ...     print("Analysis Complete", self.view)
      ...
      >>> evt = AnalysisCompletionEvent(bv, on_complete)
      >>>

  `__init__`(view, callback)

  Methods

  `__init__`(view, callback) |
  `cancel`() |